package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/11/23 9:13
 */
@Data
public class ClerkListQO implements Serializable {
    /**
     * 1：销售 2：会员
     */
    private Integer clerkType = 1;

    /**
     * 组装的参数，JSON字符串.数据组提供的yapi文档上有.
     * 销售：data_sales_perf_anal_cont_clerk_group 会员：data_mbr_scale_stat_clerk_overview
     * 注:门店参数storeId根据storeSelect参数计算
     * params里面的销售的storeGroup字段和会员的groupType字段不需要，如果有，也是无效，后端定值覆盖
     */
    private String params;
}
